{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/ristorantiStyle.css')}}" />
{% endblock %}

{% block content %}

  <div id="ristoranti-container" class="ui container">

    <div class="ui raised segment">
      <div class="ui breadcrumb" style="margin: 2%">
        <a href="{{path('homepage')}}"class="section">Home</a>
        <i class="right angle icon divider"></i>
        <div class="active section">Ristoranti</div>
      </div>
    </div>

      <h2 class="ui center aligned header fly" style="display: none; margin-top: 20px; margin-left: 20px">
        <i class="food icon"></i>
        <div class="content" style="font-size: 38px">
          <em><strong>Los Pollos Hermanos  -  Ristoranti</strong></em>
        </div>
      </h2>

      <div class="ui divider"></div>
      <div class="ui special cards">
        {% for ristorante in ristoranti %}
          <div class="card ristorante" style="box-shadow: -8px -8px 10px #838487">
            <div class="blurring dimmable image">
              <div class="ui dimmer">
                <div class="content">
                  <div class="center">
                    {% if app.request.get('_route') == 'admin_ristoranti_lista' %}
                    <a href="/admin/ristoranti/{{ristorante.id}}">
                      <div class="ui inverted button">
                        Dettagli
                      </div>
                    </a>
                    {% else %}
                    <a href="/user/ristoranti/{{ristorante.id}}">
                      <div class="ui inverted button">
                        Entra
                      </div>
                    </a>
                    {% endif %}
                  </div>
                </div>
              </div>
              <img src="{{asset('img/ristoranti/losPolloshermanos.jpg')}}">
            </div>
            <div class="content">
              <a class="header">{{ristorante.nome}}</a>
              <div class="meta" style="margin-top: 1%">
                <i class="users icon"></i>
                Max coperti:
                {% if ristorante.maxCoperti is null %}
                  -
                {% else %}
                  {{ristorante.maxCoperti}}
                {% endif %}
              </div>
              <div class="description">
                {{ristorante.indirizzo}}
              </div>
            </div>
            <div class="extra content">
              <div class="right floated meta">
                {% set found = 'false' %}
                {% for giorno in ristorante.giorniApertura %}
                  {% if "now"|date('d/m/Y') == giorno.giorno %}
                    {% if (giorno.orarioAperturaPranzo|date("H:i") < "now"|date('H:i', 'Europe/Rome') and
                          giorno.orarioChiusuraPranzo|date("H:i") > "now"|date('H:i', 'Europe/Rome')) or
                          (giorno.orarioAperturaCena|date("H:i") < "now"|date('H:i', 'Europe/Rome') and
                          giorno.orarioChiusuraCena|date("H:i") > "now"|date('H:i', 'Europe/Rome')) %}
                      {% set found = 'true' %}
                    {% endif %}
                  {% endif %}
                {% endfor %}
                {% if found == "true" %}
                  <a class="ui green label" style="cursor: default">Aperto ora</a>
                {% else %}
                  <a class="ui red label" style="cursor: default">Chiuso al momento</a>
                {% endif %}
              </div>
              <div class="ui blue ribbon label" style="margin-bottom: 2%">
                <i class="map icon"></i>{{ristorante.citta}}
              </div>
            </div>
          </div>
        {% endfor %}
      </div>
  </div>

  {% if app.request.get('_route') == 'admin_ristoranti_lista' %}
    <a href="#">
      <div id="new-restaurant-icon" class="action-icon ui icon button" data-position="left center" data-tooltip="Aggiungi ristorante" data-inverted="">
        <i class="add icon"></i>
      </div>
    </a>
    <a href="{{path('admin_ristoranti_lista_prodotti')}}">
      <div id="products-list-icon" class="action-icon ui icon button" data-position="left center" data-tooltip="Vedi lista prodotti" data-inverted="">
        <i class="unordered list icon"></i>
      </div>
    </a>
  {% else %}
    <a href="{{ path('user_ristoranti_ordini') }}">
      <div id="ordini-icon" class="action-icon ui icon button" data-position="left center" data-tooltip="I miei ordini" data-inverted="">
        <i class="shopping bag icon"></i>
      </div>
    </a>
    <a href="{{ path('user_ristoranti_prenotazioni') }}">
      <div id="prenotazioni-icon" class="action-icon ui icon button" data-position="left center" data-tooltip="Le mie prenotazioni" data-inverted="">
        <i class="checked calendar icon"></i>
      </div>
    </a>
  {% endif %}

  <div id="new-restaurant-modal" class="ui large modal">
    <div class="header">Aggiungi un nuovo ristornante:</div>
    <div class="content" style="padding: 30px">
      <form class="ui form" method="post">
        <div class="four fields">
          <div class="required field">
            <label>Nome</label>
            <input placeholder="Nome" type="text" name="nome" required="true">
          </div>
          <div class="required field">
            <label>Telefono</label>
            <input placeholder="Telefono" type="text" name="telefono" required="true">
          </div>
          <div class="required field">
            <label>Indirizzo</label>
            <input placeholder="Indirizzo" type="text" name="indirizzo" required="true">
          </div>
          <div class="required field">
            <label>Città</label>
            <input placeholder="Città" type="text" name="citta" required="true">
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="confirm-newuser-form" style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin: 0; display: inline; float:right" class="actions">
          <div class="ui cancel button">
            Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
